Skip to main content
`Ctrl`+`K`

# SNESLineSearchRegister

register a line search type `SNESLineSearchType`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchRegister(const char sname[], PetscErrorCode (*function)(SNESLineSearch ls))

Logically Collective, No Fortran Support

## Input Parameters

- sname - name of the `SNESLineSearchType()`

- function - the creation function for that type

## Calling sequence of `function`

- ls - the line search context

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchType`, `SNESLineSearchSetType()`

## Level

advanced

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages